exercise_03_11: exercise_03_11.o .gitignore GradeBook.o
	g++    exercise_03_11.o GradeBook.o  -o exercise_03_11
.gitignore:
	echo   exercise_03_11 > .gitignore
exercise_03_11.ii: exercise_03_11.cpp GradeBook.hpp
	g++ -E exercise_03_11.cpp -o exercise_03_11.ii
GradeBook.ii: GradeBook.cpp GradeBook.hpp
	g++ -E GradeBook.cpp -o GradeBook.ii
exercise_03_11.s: exercise_03_11.ii
	g++ -S exercise_03_11.ii  -o exercise_03_11.s
GradeBook.s: GradeBook.ii
	g++ -S GradeBook.ii -o GradeBook.s
exercise_03_11.o: exercise_03_11.s
	g++ -c exercise_03_11.s   -o exercise_03_11.o
GradeBook.o: GradeBook.s
	g++ -c GradeBook.s -o GradeBook.o
clean:
	rm -f exercise_03_11.ii exercise_03_11.s exercise_03_11.o exercise_03_11 .gitignore

test: exercise_03_11
	./exercise_03_11 < test.in > test.out || echo "test is executing..."
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
PRECIOUS: exercise_03_11.ii exercise_03_11.s
SECONDARY: exercise_03_11.ii exercise_03_11.s

